diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-reception-test.cc ns-3.44/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-reception-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-reception-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -1490,30 +1491,30 @@
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(12.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(12) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(12.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(12) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(12.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(12) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(12.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(12) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us
-    Simulator::Schedule(Seconds(12.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(12) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(12.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(12) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1530,20 +1531,20 @@
     // a valid OFDM transmission at a receive level greater than or equal to the minimum modulation
     // and coding rate sensitivity (–82 dBm for 20 MHz channel spacing).
 
-    Simulator::Schedule(Seconds(13.0),
+    Simulator::Schedule(Seconds(13),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(13.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(13) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(13.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(13) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -1562,20 +1563,20 @@
     // greater than or equal to the minimum modulation and coding rate sensitivity (–82 dBm for 20
     // MHz channel spacing).
 
-    Simulator::Schedule(Seconds(14.0),
+    Simulator::Schedule(Seconds(14),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(14.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(14) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(14.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(14) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -1592,45 +1593,45 @@
     // is higher than the threshold of 4 dB), but payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(15.0),
+    Simulator::Schedule(Seconds(15),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(15.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(15) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower - 6,
+                        rxPower - dB_u{6},
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(15.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(15) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(15.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(15) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(15.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(15) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(15.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(15) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to CCA_BUSY at time
     // 152.8us.
-    Simulator::Schedule(Seconds(15.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(15) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(15.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(15) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -1648,25 +1649,25 @@
     // the start of a valid OFDM transmission at a receive level greater than or equal to the
     // minimum modulation and coding rate sensitivity (–82 dBm for 20 MHz channel spacing).
 
-    Simulator::Schedule(Seconds(16.0),
+    Simulator::Schedule(Seconds(16),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(16.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(16) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(16.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(16) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
     // At 6us, STA PHY STATE should be CCA_BUSY
-    Simulator::Schedule(Seconds(16.0) + MicroSeconds(6.0),
+    Simulator::Schedule(Seconds(16) + MicroSeconds(6),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -1684,50 +1685,50 @@
     // which is higher than the threshold of 4 dB), Payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(17.0),
+    Simulator::Schedule(Seconds(17),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(17.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(17) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(17.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(17) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
     // At 6us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(17.0) + NanoSeconds(5999),
+    Simulator::Schedule(Seconds(17) + NanoSeconds(5999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(17.0) + NanoSeconds(6000),
+    Simulator::Schedule(Seconds(17) + NanoSeconds(6000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 46us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(17.0) + NanoSeconds(45999),
+    Simulator::Schedule(Seconds(17) + NanoSeconds(45999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(17.0) + NanoSeconds(46000),
+    Simulator::Schedule(Seconds(17) + NanoSeconds(46000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(17.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(17) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(17.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(17) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1738,19 +1739,19 @@
                         2,
                         6);
 
-    rxPower = -50;
+    rxPower = dBm_u{-50};
     // CASE 18: send two packets with second one 50 dB higher within the 4us window
 
-    Simulator::Schedule(Seconds(18.0),
+    Simulator::Schedule(Seconds(18),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(18.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(18) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(50.0),
+                        rxPower + dB_u{50.0},
                         1000,
                         7);
     // The second packet should be received successfully
@@ -1762,16 +1763,16 @@
 
     // CASE 19: send two packets with second one 10 dB higher within the 4us window
 
-    Simulator::Schedule(Seconds(19.0),
+    Simulator::Schedule(Seconds(19),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(19.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(19) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(10.0),
+                        rxPower + dB_u{10.0},
                         1000,
                         7);
     // The second packet should be captured, but not decoded since SNR to low for used MCS
@@ -1783,16 +1784,16 @@
 
     // CASE 20: send two packets with second one 50 dB higher in the same time
 
-    Simulator::Schedule(Seconds(20.0),
+    Simulator::Schedule(Seconds(20),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(20.0),
+    Simulator::Schedule(Seconds(20),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(50.0),
+                        rxPower + dB_u{50.0},
                         1000,
                         7);
     // The second packet should be received successfully, same as in CASE 13
@@ -1804,16 +1805,16 @@
 
     // CASE 21: send two packets with second one 10 dB higher in the same time
 
-    Simulator::Schedule(Seconds(21.0),
+    Simulator::Schedule(Seconds(21),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(21.0),
+    Simulator::Schedule(Seconds(21),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(10.0),
+                        rxPower + dB_u{10.0},
                         1000,
                         7);
     // The second packet should be captured, but not decoded since SNR to low for used MCS, same as
@@ -1829,10 +1830,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Simple frame capture model test
+ * @brief Simple frame capture model test
  */
 class TestSimpleFrameCaptureModel : public WifiPhyReceptionTest
 {
@@ -1849,19 +1850,19 @@
     void Reset();
     /**
      * Spectrum wifi receive success function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccess(Ptr<const WifiPsdu> psdu,
                    RxSignalInfo rxSignalInfo,
-                   WifiTxVector txVector,
-                   std::vector<bool> statusPerMpdu);
+                   const WifiTxVector& txVector,
+                   const std::vector<bool>& statusPerMpdu);
     /**
      * RX dropped function
-     * \param p the packet
-     * \param reason the reason
+     * @param p the packet
+     * @param reason the reason
      */
     void RxDropped(Ptr<const Packet> p, WifiPhyRxfailureReason reason);
 
@@ -1896,8 +1897,8 @@
 void
 TestSimpleFrameCaptureModel::RxSuccess(Ptr<const WifiPsdu> psdu,
                                        RxSignalInfo rxSignalInfo,
-                                       WifiTxVector txVector,
-                                       std::vector<bool> statusPerMpdu)
+                                       const WifiTxVector& txVector,
+                                       const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     NS_ASSERT(!psdu->IsAggregate() || psdu->IsSingle());
@@ -1984,19 +1985,19 @@
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(1);
     int64_t streamNumber = 2;
-    dBm_u rxPower = -30;
+    dBm_u rxPower{-30};
     m_phy->AssignStreams(streamNumber);
 
     // CASE 1: send two packets with same power within the capture window:
     // PHY should not switch reception because they have same power.
 
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
                         rxPower,
                         1000,
                         0);
-    Simulator::Schedule(Seconds(1.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(1) + MicroSeconds(10),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
                         rxPower,
@@ -2008,16 +2009,16 @@
     // CASE 2: send two packets with second one 6 dB weaker within the capture window:
     // PHY should not switch reception because first one has higher power.
 
-    Simulator::Schedule(Seconds(2.0),
+    Simulator::Schedule(Seconds(2),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
                         rxPower,
                         1000,
                         0);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(10),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPower - 6,
+                        rxPower - dB_u{6},
                         1500,
                         0);
     Simulator::Schedule(Seconds(2.1),
@@ -2029,16 +2030,16 @@
     // CASE 3: send two packets with second one 6 dB higher within the capture window:
     // PHY should switch reception because the second one has a higher power.
 
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
                         rxPower,
                         1000,
                         0);
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(3) + MicroSeconds(10),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1500,
                         0);
     Simulator::Schedule(Seconds(3.1), &TestSimpleFrameCaptureModel::Expect1000BPacketDropped, this);
@@ -2051,16 +2052,16 @@
     // PHY should not switch reception because capture window duration has elapsed when the second
     // packet arrives.
 
-    Simulator::Schedule(Seconds(4.0),
+    Simulator::Schedule(Seconds(4),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
                         rxPower,
                         1000,
                         0);
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(25.0),
+    Simulator::Schedule(Seconds(4) + MicroSeconds(25),
                         &TestSimpleFrameCaptureModel::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1500,
                         0);
     Simulator::Schedule(Seconds(4.1), &TestSimpleFrameCaptureModel::Expect1500BPacketDropped, this);
@@ -2071,10 +2072,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test PHY state upon success or failure of L-SIG and SIG-A
+ * @brief Test PHY state upon success or failure of L-SIG and SIG-A
  */
 class TestPhyHeadersReception : public WifiPhyReceptionTest
 {
@@ -2099,37 +2100,37 @@
     m_phy->AssignStreams(streamNumber);
 
     // RX power > CCA-ED
-    dBm_u rxPower = -50;
+    dBm_u rxPower{-50};
 
     // CASE 1: send one packet followed by a second one with same power between the end of the 4us
     // preamble detection window and the start of L-SIG of the first packet: reception should be
     // aborted since L-SIG cannot be decoded (SNR too low).
 
-    Simulator::Schedule(Seconds(1.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(1.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(1), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(1) + MicroSeconds(10),
                         &TestPhyHeadersReception::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(1.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(1) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us (end of PHY header), STA PHY STATE should not have moved to RX and be kept to
     // CCA_BUSY.
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(44000),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8 + 10
     // = 162.8us.
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(162799),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(162799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(162800),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(162800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -2138,44 +2139,44 @@
     // preamble detection window and the start of L-SIG of the first packet: reception should not be
     // aborted since L-SIG can be decoded (SNR high enough).
 
-    Simulator::Schedule(Seconds(2.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(2), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(2) + MicroSeconds(10),
                         &TestPhyHeadersReception::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us (end of PHY header), STA PHY STATE should have moved to RX since PHY header reception
     // should have succeeded.
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(43999),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(44000),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us.
     // However, since there is a second packet transmitted with a power above CCA-ED (-62 dBm), PHY
     // should first be seen as CCA_BUSY for 10us.
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(152799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(152800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(162799),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(162799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(162800),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(162800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -2184,8 +2185,8 @@
     // the start of HE-SIG of the first packet: PHY header reception should not succeed but PHY
     // should stay in RX state for the duration estimated from L-SIG.
 
-    Simulator::Schedule(Seconds(3.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(3), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(3) + MicroSeconds(25),
                         &TestPhyHeadersReception::SendPacket,
                         this,
                         rxPower,
@@ -2193,26 +2194,26 @@
                         7);
     // At 44us (end of PHY header), STA PHY STATE should not have moved to RX (HE-SIG failed) and be
     // kept to CCA_BUSY.
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(44.0),
+    Simulator::Schedule(Seconds(3) + MicroSeconds(44),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // STA PHY STATE should move back to IDLE once the duration estimated from L-SIG has elapsed,
     // i.e. at 152.8us. However, since there is a second packet transmitted with a power above
     // CCA-ED (-62 dBm), PHY should first be seen as CCA_BUSY for 25us.
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(152799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(152800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(177799),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(177799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(177800),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(177800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
